/* 
 * File:   velocimetro.h
 * Author: Christian
 *
 * Created on 23 de mayo de 2019, 0:52
 */

#ifndef VELOCIMETRO_H
#define	VELOCIMETRO_H

extern volatile bool IC1_Direction;
#define _IC1_Direction IC1_Direction
extern volatile bool IC2_Direction;
#define _IC2_Direction IC2_Direction

double cms_to_raw(double);
double  ms_to_raw(double);
double rps_to_raw(double);
double rpm_to_raw(double);

double counts_to_cms(double);
double raw_to_cms(double raw);

double get_speed_raw_R(void);
double get_speed_raw_L(void);
double get_speed_raw_M(void);
double get_abs_speed_raw_M(void);

double get_speed_cms_R(void);
double get_speed_cms_L(void);
double get_speed_cms_M(void);

double get_speed_ms_R(void);
double get_speed_ms_L(void);

double get_speed_rpm_R(void);
double get_speed_rpm_L(void);

double get_speed_rps_R(void);
double get_speed_rps_L(void);

#endif	/* VELOCIMETRO_H */

